// import { Dialog } from "vant";
import {
  createRouter,
  createWebHashHistory,
  createWebHistory,
  Router,
} from "vue-router";
import routes from "./routes";
const router: Router = createRouter({
  history: createWebHistory(),
  routes,
  scrollBehavior(to, from, savedPosition) {
    if (to.hash) {
      return {
        el: to.hash,
        behavior: "smooth",
      };
    }
  },
});

router.beforeEach((to, from, next) => {
  document.title = (to.meta.title || "管乐迷") as any;
  next();
});

let isOpen = false;
router.onError((error) => {
  if (error instanceof Error) {
    const isChunkLoadFailed = error.name.indexOf("chunk");
    const targetPath = router.currentRoute.value.fullPath;
    if (isChunkLoadFailed && !isOpen) {
      isOpen = true;
      // Dialog.alert({
      //   title: "更新提示",
      //   message: "网站有更新请点击确定刷新页面?",
      //   confirmButtonColor: "var(--van-primary)",
      // }).then(() => {
      //   // on close
      //   location.hash = targetPath;
      //   window.location.reload();
      // });
    }
  }
});

export default router;
